org.apache.commons.collections4.list

## Class AbstractLinkedList.LinkedSubListIterator<E>

- java.lang.Object
- - org.apache.commons.collections4.list.AbstractLinkedList.LinkedListIterator<E>
  - - org.apache.commons.collections4.list.AbstractLinkedList.LinkedSubListIterator<E>

- All Implemented Interfaces:
    Iterator<E>, ListIterator<E>, OrderedIterator<E>
  Enclosing class:
    AbstractLinkedList<E>

      protected static class AbstractLinkedList.LinkedSubListIterator<E>
      extends AbstractLinkedList.LinkedListIterator<E>

  A list iterator over the linked sub list.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AbstractLinkedList.LinkedSubList<E>` | `sub` The parent list

    - ### Fields inherited from class org.apache.commons.collections4.list.AbstractLinkedList.LinkedListIterator

      `current, expectedModCount, next, nextIndex, parent`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LinkedSubListIterator(AbstractLinkedList.LinkedSubList<E> sub, int startIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(E obj)`
    `boolean` | `hasNext()`
    `boolean` | `hasPrevious()` Checks to see if there is a previous element that can be iterated to.
    `int` | `nextIndex()`
    `void` | `remove()`

    - ### Methods inherited from class org.apache.commons.collections4.list.AbstractLinkedList.LinkedListIterator

      `checkModCount, getLastNodeReturned, next, previous, previousIndex, set`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Field Detail

    - #### sub

          protected final AbstractLinkedList.LinkedSubList<E> sub

      The parent list

  - ### Constructor Detail

    - #### LinkedSubListIterator

          protected LinkedSubListIterator(AbstractLinkedList.LinkedSubList<E> sub,
                                          int startIndex)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<E>`
      Specified by:
        `hasNext` in interface `ListIterator<E>`
      Overrides:
        `hasNext` in class `AbstractLinkedList.LinkedListIterator<E>`

    - #### hasPrevious

          public boolean hasPrevious()

      Description copied from interface: `OrderedIterator`
      Checks to see if there is a previous element that can be iterated to.
      Specified by:
        `hasPrevious` in interface `ListIterator<E>`
      Specified by:
        `hasPrevious` in interface `OrderedIterator<E>`
      Overrides:
        `hasPrevious` in class `AbstractLinkedList.LinkedListIterator<E>`
      Returns:
        `true` if the iterator has a previous element

    - #### nextIndex

          public int nextIndex()

      Specified by:
        `nextIndex` in interface `ListIterator<E>`
      Overrides:
        `nextIndex` in class `AbstractLinkedList.LinkedListIterator<E>`

    - #### add

          public void add(E obj)

      Specified by:
        `add` in interface `ListIterator<E>`
      Overrides:
        `add` in class `AbstractLinkedList.LinkedListIterator<E>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<E>`
      Specified by:
        `remove` in interface `ListIterator<E>`
      Overrides:
        `remove` in class `AbstractLinkedList.LinkedListIterator<E>`

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.